Delete workspace objects
POST
/api/v1/workspace/delete
const url = 'https://example.com/api/v1/workspace/delete';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"path":"example","recursive":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/workspace/delete \ --header 'Content-Type: application/json' \ --data '{ "path": "example", "recursive": true }'Delete workspace objects.
Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
WorkspaceDeleteRequest
Request model for deleting workspace objects.
object
path
required
Path
Path to delete
string
recursive
Recursive
Delete recursively
boolean
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
WorkspaceOperationResponse
Response model for workspace operations.
object
success
required
Success
Operation success status
boolean
message
required
Message
Operation result message
string
path
required
Path
Path that was operated on
string
Examplegenerated
{ "success": true, "message": "example", "path": "example"}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}